#include "StdAfx.h"
#include ".\objetdistant.h"

// la classe ObjetDistant ignore totalement qu'elle va être distribuée,
// c'est à dire appelée à distance.

void* ObjetDistant::hello_world(int nb_params,void*params)
{
	return "Bonjour tout le monde"; // char* en fait
}

void* ObjetDistant::somme(int nb_params,void*params)
{
	int*local_params=(int*) params;
	
	// pour renvoyer le résultat, un reinterpret_cast aurait été possible
	// mais peu rigoureux.
	int*resultat=new int[1];
	*resultat=local_params[0]+local_params[1];
	return (void*)resultat ;
}
